# Class WatchBench.IterationState

java.lang.Object
org.apache.zookeeper.server.watch.WatchBench.IterationState

Enclosing class:
  `WatchBench`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

public static class WatchBench.IterationState extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`pathCount`
`String`
`watchManagerClass`

## Constructor Summary

Constructors
Constructor
Description
`IterationState()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setup()`
`void`
`tearDown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### watchManagerClass

public String watchManagerClass

### pathCount

public int pathCount

## Constructor Details

### IterationState

public IterationState()

## Method Details

### setup

public void setup() throws Exception

Throws:
  `Exception`

### tearDown

public void tearDown()